
From: Michael Krufky <mkrufky@m1k.net>

Add support for TerraTec Cinergy 1400 DVB-T.

Signed-off-by: Uli Luckas <luckas@musoft.de>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/cx88/cx88-cards.c |   15 ++++++++++++++-
 drivers/media/video/cx88/cx88-dvb.c   |    3 ++-
 drivers/media/video/cx88/cx88.h       |    3 ++-
 3 files changed, 18 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/cx88/cx88-cards.c~v4l-add-terratec-cinergy-1400-dvb-t drivers/media/video/cx88/cx88-cards.c
--- devel/drivers/media/video/cx88/cx88-cards.c~v4l-add-terratec-cinergy-1400-dvb-t	2005-07-06 01:11:37.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88-cards.c	2005-07-06 01:11:37.000000000 -0700
@@ -1,5 +1,5 @@
 /*
- * $Id: cx88-cards.c,v 1.82 2005/06/28 04:33:53 mkrufky Exp $
+ * $Id: cx88-cards.c,v 1.84 2005/07/02 19:42:09 mkrufky Exp $
  *
  * device driver for Conexant 2388x based TV cards
  * card-specific stuff.
@@ -743,6 +743,15 @@ struct cx88_board cx88_boards[] = {
                 }},
 		.dvb            = 1,
 	},
+	[CX88_BOARD_TERRATEC_CINERGY_1400_DVB_T1] = {
+		.name           = "TerraTec Cinergy 1400 DVB-T",
+		.tuner_type     = TUNER_ABSENT,
+		.input          = {{
+			.type   = CX88_VMUX_DVB,
+			.vmux   = 0,
+		}},
+		.dvb            = 1,
+	},
 };
 const unsigned int cx88_bcount = ARRAY_SIZE(cx88_boards);
 
@@ -866,6 +875,10 @@ struct cx88_subid cx88_subids[] = {
 		.subvendor = 0x1421,
 		.subdevice = 0x0334,
 		.card      = CX88_BOARD_ADSTECH_DVB_T_PCI,
+ 	},{
+		.subvendor = 0x153b,
+		.subdevice = 0x1166,
+		.card      = CX88_BOARD_TERRATEC_CINERGY_1400_DVB_T1,
 	},
 };
 const unsigned int cx88_idcount = ARRAY_SIZE(cx88_subids);
diff -puN drivers/media/video/cx88/cx88-dvb.c~v4l-add-terratec-cinergy-1400-dvb-t drivers/media/video/cx88/cx88-dvb.c
--- devel/drivers/media/video/cx88/cx88-dvb.c~v4l-add-terratec-cinergy-1400-dvb-t	2005-07-06 01:11:37.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88-dvb.c	2005-07-06 01:11:37.000000000 -0700
@@ -1,5 +1,5 @@
 /*
- * $Id: cx88-dvb.c,v 1.37 2005/06/28 23:41:47 mkrufky Exp $
+ * $Id: cx88-dvb.c,v 1.39 2005/07/02 20:00:46 mkrufky Exp $
  *
  * device driver for Conexant 2388x based TV cards
  * MPEG Transport Stream (DVB) routines
@@ -235,6 +235,7 @@ static int dvb_register(struct cx8802_de
 		dev->dvb.frontend = cx22702_attach(&hauppauge_novat_config,
 						   &dev->core->i2c_adap);
 		break;
+	case CX88_BOARD_TERRATEC_CINERGY_1400_DVB_T1:
 	case CX88_BOARD_CONEXANT_DVB_T1:
 		dev->dvb.frontend = cx22702_attach(&connexant_refboard_config,
 						   &dev->core->i2c_adap);
diff -puN drivers/media/video/cx88/cx88.h~v4l-add-terratec-cinergy-1400-dvb-t drivers/media/video/cx88/cx88.h
--- devel/drivers/media/video/cx88/cx88.h~v4l-add-terratec-cinergy-1400-dvb-t	2005-07-06 01:11:37.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88.h	2005-07-06 01:11:37.000000000 -0700
@@ -1,5 +1,5 @@
 /*
- * $Id: cx88.h,v 1.66 2005/06/22 22:58:04 mchehab Exp $
+ * $Id: cx88.h,v 1.67 2005/07/01 12:10:07 mkrufky Exp $
  *
  * v4l2 device driver for cx2388x based TV cards
  *
@@ -170,6 +170,7 @@ extern struct sram_channel cx88_sram_cha
 #define CX88_BOARD_PIXELVIEW_PLAYTV_ULTRA_PRO 27
 #define CX88_BOARD_DVICO_FUSIONHDTV_3_GOLD_T  28
 #define CX88_BOARD_ADSTECH_DVB_T_PCI          29
+#define CX88_BOARD_TERRATEC_CINERGY_1400_DVB_T1  30
 
 enum cx88_itype {
 	CX88_VMUX_COMPOSITE1 = 1,
_
